=== debian/changelog ===
ros-ardent-astra-camera (2.0.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 09 Dec 2017 08:24:10 -0000

ros-ardent-astra-camera (0.1.5-0xenial) xenial; urgency=high

  * add dependency on generated messages to avoid race condition at build time
  * switching to libusb-1.0
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Fri, 27 May 2016 07:00:00 -0000

ros-ardent-astra-camera (0.1.4-0xenial) xenial; urgency=high

  * add libusb-dev as a build dependency
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Fri, 27 May 2016 07:00:00 -0000

ros-ardent-astra-camera (0.1.3-0xenial) xenial; urgency=high

  * Adding build dependency on libudev-dev
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000

ros-ardent-astra-camera (0.1.2-0xenial) xenial; urgency=high

  * add git as a dependency
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000

ros-ardent-astra-camera (0.1.1-0xenial) xenial; urgency=high

  * removing dependency which was internalilzed
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000

ros-ardent-astra-camera (0.1.0-0xenial) xenial; urgency=high

  * Initial release of ROS driver for Astra camera
  * Contributors: Ernesto Corbellini, Len Zhong, Tim, Tully Foote, ob-tim-liu

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 07:00:00 -0000
